getPetUploadSign(data: GetPetUploadSign)
Requires:
@ray-js/ray≥1.6.27
Description
Get upload signature for pet-related files
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters: bizType business type (e.g., pet, petFeature, temp), fileName file name including extension |
Return Value
Type: Promise<GetPetUploadSignResult>
Promise that resolves to the objectKey, url, and headers required for upload
Referenced Types
type
GetPetUploadSignResult| Property | Type | Description |
|---|---|---|
objectKey | string | File objectKey (generated in the cloud per rules) |
url | string | Upload URL |
headers | object | Upload headers |